import { AbstractBaseApp } from "../abstractBaseApp";
import { AbstractBoostApp } from "../abstractBoostApp";
import { AbstractAppContainer } from "./AbstractAppContainer";

/**
 * Represents a container object for a boost app tha can setup, update and maintain this app
 */
export class BoostAppContainer extends AbstractAppContainer {
  /**
   * @class
   * @param {AbstractBaseApp} app - the app.
   */
  constructor(app: AbstractBaseApp<any, any, any>) {
    super(app);
  }

  /**
   * @override
   * @inheritDoc
   */
  public onStreamsUpdated(streams: any): void {
    this.onStreamsUpdate(streams, AbstractBoostApp.streamsUpdate);
  }

  /**
   * @override
   * @inheritDoc
   */
  public getRequiredStreams(): string[] {
    return ["forcedInductionInfo"];
  }
}
