/**
 * T is the type of data that can be formatted.
 * S is the type of data after formatting.
 * @template T, S.
 */
export interface Formatter<T, S> {
  /**
   * Formats the given data.
   * @param {T} unformatted - the data to format.
   * @returns {string} The formatted string.
   */
  format(unformatted: T): S;
}
